<?php
// $Id: pifr.log.inc,v 1.5 2008/12/09 08:09:18 boombatower Exp $
/**
 * @file
 * Automatically review patches attached to issues.
 *
 * Copyright 2008 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

/**
 * Log an event that occured to a file.
 *
 * @param interger $file_id File ID.
 * @param string $message Message describing event.
 */
function pifr_log_event($file_id, $message) {
  db_query("INSERT INTO {pifr_log} (file_id, timestamp, message)
            VALUES (%d, %d, '%s')", $file_id, time(), $message);
}

/**
 * Get log of events for the specified file.
 *
 * @param interger $file_id File ID.
 * @return array List of event objects.
 */
function pifr_log_get($file_id) {
  $result = pager_query('SELECT *
                         FROM {pifr_log}
                         WHERE file_id = %d
                         ORDER BY timestamp DESC', 10, 0, NULL, $file_id);

  $events = array();
  while ($event = db_fetch_object($result)) {
    $events[] = $event;
  }
  return $events;
}

/**
 * Get the most recent events.
 *
 * @return array List of event objects.
 */
function pifr_log_get_all() {
  $result = pager_query('SELECT *
                         FROM {pifr_log}
                         ORDER BY timestamp DESC', 50, 0);

  $events = array();
  while ($event = db_fetch_object($result)) {
    $events[] = $event;
  }
  return $events;
}
